extern crate cbindgen;

use std::env;

fn main() {
    let crate_dir = env::var("CARGO_MANIFEST_DIR").unwrap();

    cbindgen::Builder::new()
        .with_crate(crate_dir)
        .with_language(cbindgen::Language::C)
        .with_include_guard("spotiqueue_worker_h")
        .with_autogen_warning(
            "/* WARNING: This file is auto-generated by cbindgen. Don't modify. */",
        )
        .generate()
        .expect("Unable to generate bindings")
        .write_to_file("spotiqueue_worker_bindings.h");

    // Consider .with_no_includes when interface has stabilised.
    // Useful info here: https://ultrasaurus.com/2020/01/writing-c-library-in-rust/
}
